# coding: utf-8

"""
    Humanloop API

    The Humanloop API allows you to interact with Humanloop from your product or service.  You can do this through HTTP requests from any language or via our official Python SDK.  To install the official Python SDK, run the following command:  ```bash pip install humanloop ```  ---  Guides and further details about key concepts can be found in [our docs](https://humanloop.gitbook.io/humanloop-docs/).

    The version of the OpenAPI document: 4.0.0
    Generated by: https://konfigthis.com
"""

from datetime import datetime, date
import typing
from enum import Enum
from typing_extensions import TypedDict, Literal

from humanloop.type.config_type import ConfigType

class RequiredToolConfigResponse(TypedDict):
    # String ID of config. Starts with `config_`.
    id: str

    # Type of config.
    type: ConfigType

    # Name of config.
    name: str

    # Code source of the tool.
    source: str

class OptionalToolConfigResponse(TypedDict, total=False):
    # Description of config.
    description: str

    # Other parameters that define the config.
    other: typing.Dict[str, typing.Union[bool, date, datetime, dict, float, int, list, str, None]]

class ToolConfigResponse(RequiredToolConfigResponse, OptionalToolConfigResponse):
    pass
